microsoft-foundry.rest.security.o-auth2-auth
Agent Invocations
Get an agent invocation
GET
/agents/{agent_name}/endpoint/protocols/invocations/{invocation_id}
Retrieves the invocation with the given ID. Returns 404 if the agent does not support this operation or if the invocation ID is not found.
Sökvägsparametrar
agent_name
string
krävs
The name of the agent.
invocation_id
string
krävs
The unique identifier of the invocation.
Rubrikparametrar
x-ms-user-identity
string
Opaque per-user identity string used to scope endpoint-scoped data to a specific end user. The caller must have the agents/endpoints/UserIdentityImpersonation/action RBAC permission.
Frågeparametrar
api-version
string
krävs
The API version to use for this operation.
Svar
The request has succeeded.
Sidhuvuden
x-agent-session-id
string
krävs
Session ID for this invocation. Returns the session ID associated with the invocation.
Brödtext
Content-Type: */*
Förfrågan
GET /agents/{agent_name}/endpoint/protocols/invocations/{invocation_id} HTTP/1.1
Response
Status: 200
Content-Type: */*
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json